# Class SkyMultiPointForm

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.MultiPointForm
uk.ac.starlink.ttools.plot2.layer.SkyMultiPointForm

All Implemented Interfaces:
  `ModePlotter.Form, ShapeForm`

public class SkyMultiPointForm extends MultiPointForm
MultiPointForm for use with sky coordinates.

Since:
  2 Aug 2017
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ConfigKey<Double>`
`SCALE_KEY`
Config key for angular extent scaling.
`static final ConfigKey<AngleUnit>`
`UNIT_KEY`
Config key for selecting angular extent units.

### Fields inherited from class MultiPointForm

`AUTOSCALE_PIXELS`

## Constructor Summary

Constructors
Constructor
Description
`SkyMultiPointForm(String name, Icon icon, String description, SkyMultiPointCoordSet extraCoordSet, MultiPointConfigKey rendererKey)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected MultiPointReader`
`createReader(ConfigMap config)`
Returns an object that can read shapes for use by this form.
`static String`
`getCoordUnitText()`
Returns a sentence of XML text describing the units of a scaled coordinate are specified.
`static String`
`getScalingDescription(FloatingCoord[] scaledCoords, String shapename)`
Returns XML text suitable for inclusion in a MultiPointForm description explaining how the scaling of marker sizes is controlled.

### Methods inherited from class MultiPointForm

`adjustGeom, createOutliner, createThicknessKey, getBasicPositionCount, getConfigKeys, getDefaultScalingDescription, getExtraCoords, getExtraPositionCount, getExtrasCoordIndex, getFormDescription, getFormIcon, getFormName`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCALE_KEY

public static final ConfigKey<Double> SCALE_KEY
Config key for angular extent scaling.

### UNIT_KEY

public static final ConfigKey<AngleUnit> UNIT_KEY
Config key for selecting angular extent units.

## Constructor Details

### SkyMultiPointForm

public SkyMultiPointForm(String name, Icon icon, String description, SkyMultiPointCoordSet extraCoordSet, MultiPointConfigKey rendererKey)
Constructor.

Parameters:
  `name` - shapeform name
  `icon` - shapeform icon
  `description` - XML description
  `extraCoordSet` - defines the extra positional coordinates used to plot multipoint shapes
  `rendererKey` - config key for the renderer, defining the plotted shape; any renderer specified must be expecting data corresponding to the extraCoordSet parameter

## Method Details

### createReader

protected MultiPointReader createReader(ConfigMap config)
Description copied from class: `MultiPointForm`
Returns an object that can read shapes for use by this form.

Specified by:
  `createReader` in class `MultiPointForm`
Parameters:
  `config` - configuration options
Returns:
  reader

### getCoordUnitText

public static String getCoordUnitText()
Returns a sentence of XML text describing the units of a scaled coordinate are specified. This is suitable for inclusion in the description of the relevant FloatingCoord.

Returns:
  description text

### getScalingDescription

public static String getScalingDescription(FloatingCoord[] scaledCoords, String shapename)
Returns XML text suitable for inclusion in a MultiPointForm description explaining how the scaling of marker sizes is controlled.

Parameters:
  `scaledCoords` - coordinates that will be scaled by the scale and unit config options
  `shapename` - human-readable name of the shape being plotted by this form
Returns:
  description text <p> element